Ir para o conteúdo
Documentação do Endless

Get canvas

GET
/canvases/{canvas_id}

Returns a single canvas. Scoped to the canvas named by canvas_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

canvas_id*string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/canvases/0191e5a2-7a29-7e14-9b8d-4f1c6a03e8d2"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner_id": "string",  "organization_id": "string",  "name": "string",  "description": "string",  "emoji": "string",  "color": "string",  "thumbnail_url": "string",  "visibility": "private",  "workspace_role": "viewer",  "last_activity_at": "2019-08-24T14:15:22Z",  "dual_board_id": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "shared": true,  "can_edit": true,  "can_delete": true}